Name:           sopwith
Version:        1.7.1
Release:        13%{?dist}
Summary:        SDL port of the sopwith game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://sdl-sopwith.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sdl-sopwith/sdl_sopwith-1.7.1.tar.gz
Source1:        sopwith.png
Patch0:         sopwith-gcc4.patch
Patch1:         sopwith.6.patch
Patch2:         sopwith-gtk-video.patch
Patch3:         sopwith-sdl-video.patch
Patch4:         sopwith-vid_vga.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  gtk2-devel, SDL-devel, desktop-file-utils

%description
This is a port of the classic computer game "Sopwith" to run on modern
computers and operating systems.


%prep
%setup -q -n sdl_sopwith-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i 's/\r//' doc/readme.txt


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_docdir}/sopwith

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Gtk+ Sopwith
Type=Application
Comment=The classic sopwith game
Exec=gtksopwith
Terminal=false
Icon=sopwith
EOF

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category ArcadeGame                            \
  --add-category Game                                  \
  %{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ NEWS README TODO doc/keys.txt doc/origdoc.txt doc/readme.txt
%{_bindir}/sopwith
%{_bindir}/gtksopwith
%{_mandir}/man6/sopwith*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.7.1-12
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 21 2010 Adrian Reber <adrian@lisas.de> - 1.7.1-10
- fixed a 32/64 bit bug in the GTK version (#583417)
- added a few patches from debian
- now also using the %%{dist} tag

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Adrian Reber <adrian@lisas.de> - 1.7.1-7
- replaced %%makeinstall with make DESTDIR=... install
- removed X-Fedora category from desktop-file-install
- removed Application category from desktop-file-install (#485354)
- added ArcadeGame category from desktop-file-install (#485354)
- removed ".png" from "Icon=" in desktop file to silence a warning
- fixed "wrong-script-end-of-line-encoding" of readme.txt

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7.1-6
- Autorebuild for GCC 4.3

* Thu Oct 11 2007 Adrian Reber <adrian@lisas.de> - 1.7.1-5
- rebuilt for BuildID
- updated license tag
- fixed sourceforge URL

* Sat Sep 16 2006 Adrian Reber <adrian@lisas.de> - 1.7.1-4
- rebuilt

* Sun Mar 12 2006 Adrian Reber <adrian@lisas.de> - 1.7.1-3
- rebuilt

* Tue Mar 29 2005 Adrian Reber <adrian@lisas.de> - 1.7.1-2
- added patch to fix gcc4 compiler error

* Wed Jun 18 2003 Adrian Reber <adrian@lisas.de> - 0:1.7.1-0.fdr.1
- updated to 1.7.1
- changed category from desktop entry from "Games" to "Game"
- changed description
- removed redundant and useless documentation

* Sun Jun 08 2003 Adrian Reber <adrian@lisas.de> - 0:1.7.0-0.fdr.1
- Initial RPM release.
